%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		arc-cacheindex
Version:	0.8.2
Release:	0.svn14903%{?dist}
Summary:	Cache index for the Advanced Resouce Connector

Group:		Applications/Internet
License:	ASL 2.0
URL:		http://svn.nordugrid.org/trac/nordugrid/browser/contrib/acix/
Source0:	acix-svn14903.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	python-devel

Requires:	pyOpenSSL
Requires:	python-simplejson
Requires:	python-twisted-core
Requires:	python-twisted-web

%description
ARC cache index (acix) python module

%package cacheserver
Summary:	Cache server for the Advanced Resource Connector
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}

Requires(post):		chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts

%description cacheserver
Cache server for the Advanced Resource Connector

%package indexserver
Summary:	Cache index for the Advanced Resource Connector
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}

Requires(post):		chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts

%description indexserver
Cache index for the Advanced Resource Connector

%prep
%setup -q -n acix-svn14903

%build
# Nothing to build

%install
rm -rf $RPM_BUILD_ROOT

( cd core ;
  python setup.py install --root $RPM_BUILD_ROOT --prefix=/usr )
( cd cacheserver ;
  python setup.py install --root $RPM_BUILD_ROOT --prefix=/usr )
( cd indexserver ;
  python setup.py install --root $RPM_BUILD_ROOT --prefix=/usr )

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mv $RPM_BUILD_ROOT%{_sysconfdir}/init.d/* $RPM_BUILD_ROOT%{_initrddir}

%if %{?fedora}%{!?fedora:0} >= 5 || %{?rhel}%{!?rhel:0} >= 5
# Byte compilation handled by rpm by default
%else
%{__python}    -c 'import compileall; compileall.compile_dir("'"$RPM_BUILD_ROOT"'", 10, "/", 1)' > /dev/null
%{__python} -O -c 'import compileall; compileall.compile_dir("'"$RPM_BUILD_ROOT"'", 10, "/", 1)' > /dev/null
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post cacheserver
if [ $1 = 1 ]; then
    /sbin/chkconfig --add acix-cache
fi

%preun cacheserver
if [ $1 = 0 ]; then
    /sbin/service acix-cache stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del acix-cache
fi

%postun cacheserver
if [ $1 -ge 1 ]; then
    /sbin/service acix-cache condrestart >/dev/null 2>&1 || :
fi

%post indexserver
if [ $1 = 1 ]; then
    /sbin/chkconfig --add acix-index
fi

%preun indexserver
if [ $1 = 0 ]; then
    /sbin/service acix-index stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del acix-index
fi

%postun indexserver
if [ $1 -ge 1 ]; then
    /sbin/service acix-index condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%dir %{python_sitelib}/arc
%{python_sitelib}/arc/__init__.*
%dir %{python_sitelib}/arc/cacheindex
%{python_sitelib}/arc/cacheindex/__init__.*
%{python_sitelib}/arc/cacheindex/core
%if %{?fedora}%{!?fedora:0} >= 9 || %{?rhel}%{!?rhel:0} >= 6
%{python_sitelib}/arc_cacheindex_core-*.egg-info
%endif
%doc core/README.txt

%files cacheserver
%defattr(-,root,root,-)
%{python_sitelib}/arc/cacheindex/cacheserver
%if %{?fedora}%{!?fedora:0} >= 9 || %{?rhel}%{!?rhel:0} >= 6
%{python_sitelib}/arc_cacheindex_cacheserver-*.egg-info
%endif
%{_initrddir}/acix-cache
%{_datadir}/arc/cacheindex/cacheserver.tac
%doc cacheserver/README.txt

%files indexserver
%defattr(-,root,root,-)
%{python_sitelib}/arc/cacheindex/indexserver
%if %{?fedora}%{!?fedora:0} >= 9 || %{?rhel}%{!?rhel:0} >= 6
%{python_sitelib}/arc_cacheindex_indexserver-*.egg-info
%endif
%{_initrddir}/acix-index
%config(noreplace) %{_sysconfdir}/acix-index.tac
%doc indexserver/README.txt

%changelog
* Mon Oct 12 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.2-0.svn14903
- First packaging from svn
